DNF Update error



  • I'm not sure if this is due to a failed upgrade or not, but I am getting this when trying to update a Fedora server. What is the best way to resolve this?

    [root@test ~]# dnf update
    Last metadata expiration check: 2:06:04 ago on Mon 13 May 2019 11:03:22 PM UTC.
    Error: 
     Problem: The operation would result in removing the following protected packages: systemd-udev
    


  • @fuznutz04 said in DNF Update error:

    I'm not sure if this is due to a failed upgrade or not, but I am getting this when trying to update a Fedora server. What is the best way to resolve this?

    [root@test ~]# dnf update
    Last metadata expiration check: 2:06:04 ago on Mon 13 May 2019 11:03:22 PM UTC.
    Error: 
     Problem: The operation would result in removing the following protected packages: systemd-udev
    

    try dnf upgrade



  • @JaredBusch I get the same exact error when trying dnf upgrade.



  • dnf clean all
    dnf upgrade



  • @black3dynamite

    Files were removed, but still the same error.

    [root@test~]# dnf clean all
    38 files removed
    
    [root@test~]# dnf upgrade
    Fedora Modular 28 - x86_64                                                            29 MB/s | 159 kB     00:00
    Fedora Modular 28 - x86_64 - Updates                                                  50 MB/s | 1.5 MB     00:00
    Fedora 28 - x86_64 - Updates                                                          59 MB/s |  30 MB     00:00
    Fedora 28 - x86_64                                                                    62 MB/s |  60 MB     00:00
    ZeroTier, Inc. RPM Release Repository                                                 21 kB/s | 1.5 kB     00:00
    Last metadata expiration check: 0:00:00 ago on Tue 14 May 2019 03:42:02 PM UTC.
    Error:
     Problem: The operation would result in removing the following protected packages: systemd-udev
    [root@test~]#
    
    

Log in to reply